Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.mimo.netty.handler.codec.icap
Interface IcapRequest

All Superinterfaces:
  IcapMessage

All Known Implementing Classes:
  DefaultIcapRequest

    public interface IcapRequest

extends IcapMessage

Defines a ICAP Request.

Author:
  Michael Mimo Moratti (mimo@mimo.ch)
See Also:
  `IcapMessage`, `DefaultIcapRequest`

Method Summary
`IcapMethod` | `getMethod()`
`String` | `getUri()`
`IcapMessage` | `setMethod(IcapMethod method)` Sets the operation method for this icap request.
`IcapMessage` | `setUri(String uri)` Sets the operations uri.

Methods inherited from interface ch.mimo.netty.handler.codec.icap.IcapMessage
`addHeader, clearHeaders, containsHeader, containsHttpRequest, containsHttpResponse, getBodyType, getEncapsulatedHeader, getHeader, getHeaderNames, getHeaders, getHeaders, getHttpRequest, getHttpResponse, getPreviewAmount, getProtocolVersion, isPreviewMessage, removeHeader, setBody, setEncapsulatedHeader, setHeader, setHeader, setHttpRequest, setHttpResponse, setProtocolVersion`

Method Detail

### setMethod

    IcapMessage setMethod(IcapMethod method)

  Sets the operation method for this icap request.

  Parameters:
    `method` - the @see `HttpMethod` provided by @see `IcapMethod`
  Returns:
    self in order to chain the method calls

### getMethod

    IcapMethod getMethod()

  Returns:
    This operations method

### setUri

    IcapMessage setUri(String uri)

  Sets the operations uri.

  Parameters:
    `uri` -
  Returns:
    self in order to chain the method calls

### getUri

    String getUri()

  Returns:
    String uri for this message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.